filectime
fileinode
Filesystem Functions
PHP Manual

# filegroup

(PHP 4, PHP 5)

filegroup — Gets file group

### Description

int filegroup ( string `$filename` )

Gets the file group. The group ID is returned in numerical format, use posix_getgrgid() to resolve it to a group name.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns the group ID of the file, or `FALSE` in case of an error. The group ID is returned in numerical format, use posix_getgrgid() to resolve it to a group name. Upon failure, `FALSE` is returned.

### Errors/Exceptions

Upon failure, an `E_WARNING` is emitted.

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- fileowner()
- safe_mode_gid

filectime
fileinode
Filesystem Functions
PHP Manual